package com.sunxung.factoring.entity.refundsManagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 退款管理审批表
 * </p>
 *
 * @author yafan
 * @since 2024-03-11
 */
@TableName("refund_management_approval")
public class RefundManagementApproval extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 退款管理表Id
     */
    @NotNull(message = "id不能为空！")
    @TableField("refund_management_id")
    private Long refundManagementId;

    /**
     * 通过pass/退回back
     */
    @NotBlank(message = "审批结论不能为空！")
    @TableField("approval_conclusion")
    private String approvalConclusion;

    /**
     * 审批意见
     */
    @TableField("approval_comments")
    private String approvalComments;

    @TableField(exist = false)
    private String taskId;

    public Long getRefundManagementId() {
        return refundManagementId;
    }

    public void setRefundManagementId(Long refundManagementId) {
        this.refundManagementId = refundManagementId;
    }

    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }

    public String getApprovalComments() {
        return approvalComments;
    }

    public void setApprovalComments(String approvalComments) {
        this.approvalComments = approvalComments;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    @Override
    public String toString() {
        return "RefundManagementApproval{" +
                ", refundManagementId=" + refundManagementId +
                ", approvalConclusion=" + approvalConclusion +
                ", approvalComments=" + approvalComments +
                "}";
    }
}
